/**
 * output package name
 */
package com.kingdee.eas.custom.esign.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class EsignConfigEnum extends StringEnum
{
    public static final String ESIGNAPPID_VALUE = "EsignAppId";//alias=e签宝AppId
    public static final String ESIGNAPPSECRET_VALUE = "EsignAppSecret";//alias=e签宝应用密钥
    public static final String ESIGNHOST_VALUE = "EsignHost";//alias=e签宝接口调用域名
    public static final String DOCTEMPLATESDETAILBYID_VALUE = "docTemplatesDetailById";//alias=查询合同模板中控件详情
    public static final String CREATEBYDOCTEMPLATE_VALUE = "createByDocTemplate";//alias=填写模板生成文件
    public static final String ORGANIZATIONS_IDENTITY_INFO_VALUE = "organizations.identity-info";//alias=查询机构认证信息
    public static final String PERSONS_IDENTITY_INFO_VALUE = "persons.identity-info";//alias=查询个人认证信息
    public static final String ADD_SIGN_FIELDS_VALUE = "add.sign_fields";//alias=添加签署区信息
    public static final String DETAIL_SIGN_FIELDS_VALUE = "detail.sign_fields";//alias=查询签署流程详情
    public static final String DEL_SIGN_FIELDS_VALUE = "del.sign_fields";//alias=删除签署区
    public static final String ADD_COPIERS_VALUE = "add.copiers";//alias=添加抄送方
    public static final String DEL_COPIERS_VALUE = "del.copiers";//alias=删除抄送方
    public static final String CREATE_BY_FILE_VALUE = "create_by_file";//alias=基于文件发起签署
    public static final String START_BY_FILE_VALUE = "start_by_file";//alias=开启签署流程
    public static final String REVOKE_BY_FILE_VALUE = "revoke_by_file";//alias=撤回签署流程
    public static final String URGE_BY_FILE_VALUE = "urge_by_file";//alias=催签流程中签署人
    public static final String FILE_DOWNLOAD_URL_VALUE = "file_download_url";//alias=下载已签署文件及附属材料
    public static final String PREVIEW_FILE_DOWNLOAD_URL_VALUE = "preview_file_download_url";//alias=下载签署中文件
    public static final String ORG_OWN_SEAL_LIST_VALUE = "org_own_seal_list";//alias=查询企业内部印章
    public static final String GETFILESSTATE_VALUE = "getFilesState";//alias=获取文件上传状态
    public static final String SHRADDR_VALUE = "shrAddr";//alias=shr地址
    public static final String NOTIFYURL_VALUE = "notifyUrl";//alias=回调地址
    public static final String ORG_AUTHORIZED_SEAL_LIST_VALUE = "org_authorized_seal_list";//alias=查询被外部企业授权印章
    public static final String KEYWORD_POSITIONS_VALUE = "keyword_positions";//alias=检索文件关键字坐标
    public static final String GET_SEAL_POSITION_URL_VALUE = "get_seal_position_url";//alias=获取拖章定位页面
    public static final String SIGN_FLOW_LIST_VALUE = "sign_flow_list";//alias=查询签署流程列表

    public static final EsignConfigEnum EsignAppId = new EsignConfigEnum("EsignAppId", ESIGNAPPID_VALUE);
    public static final EsignConfigEnum EsignAppSecret = new EsignConfigEnum("EsignAppSecret", ESIGNAPPSECRET_VALUE);
    public static final EsignConfigEnum EsignHost = new EsignConfigEnum("EsignHost", ESIGNHOST_VALUE);
    public static final EsignConfigEnum docTemplatesDetailById = new EsignConfigEnum("docTemplatesDetailById", DOCTEMPLATESDETAILBYID_VALUE);
    public static final EsignConfigEnum createByDocTemplate = new EsignConfigEnum("createByDocTemplate", CREATEBYDOCTEMPLATE_VALUE);
    public static final EsignConfigEnum organizations_identity_info = new EsignConfigEnum("organizations_identity_info", ORGANIZATIONS_IDENTITY_INFO_VALUE);
    public static final EsignConfigEnum persons_identity_info = new EsignConfigEnum("persons_identity_info", PERSONS_IDENTITY_INFO_VALUE);
    public static final EsignConfigEnum add_sign_fields = new EsignConfigEnum("add_sign_fields", ADD_SIGN_FIELDS_VALUE);
    public static final EsignConfigEnum detail_sign_fields = new EsignConfigEnum("detail_sign_fields", DETAIL_SIGN_FIELDS_VALUE);
    public static final EsignConfigEnum del_sign_fields = new EsignConfigEnum("del_sign_fields", DEL_SIGN_FIELDS_VALUE);
    public static final EsignConfigEnum add_copiers = new EsignConfigEnum("add_copiers", ADD_COPIERS_VALUE);
    public static final EsignConfigEnum del_copiers = new EsignConfigEnum("del_copiers", DEL_COPIERS_VALUE);
    public static final EsignConfigEnum create_by_file = new EsignConfigEnum("create_by_file", CREATE_BY_FILE_VALUE);
    public static final EsignConfigEnum start_by_file = new EsignConfigEnum("start_by_file", START_BY_FILE_VALUE);
    public static final EsignConfigEnum revoke_by_file = new EsignConfigEnum("revoke_by_file", REVOKE_BY_FILE_VALUE);
    public static final EsignConfigEnum urge_by_file = new EsignConfigEnum("urge_by_file", URGE_BY_FILE_VALUE);
    public static final EsignConfigEnum file_download_url = new EsignConfigEnum("file_download_url", FILE_DOWNLOAD_URL_VALUE);
    public static final EsignConfigEnum preview_file_download_url = new EsignConfigEnum("preview_file_download_url", PREVIEW_FILE_DOWNLOAD_URL_VALUE);
    public static final EsignConfigEnum org_own_seal_list = new EsignConfigEnum("org_own_seal_list", ORG_OWN_SEAL_LIST_VALUE);
    public static final EsignConfigEnum getFilesState = new EsignConfigEnum("getFilesState", GETFILESSTATE_VALUE);
    public static final EsignConfigEnum shrAddr = new EsignConfigEnum("shrAddr", SHRADDR_VALUE);
    public static final EsignConfigEnum notifyUrl = new EsignConfigEnum("notifyUrl", NOTIFYURL_VALUE);
    public static final EsignConfigEnum org_authorized_seal_list = new EsignConfigEnum("org_authorized_seal_list", ORG_AUTHORIZED_SEAL_LIST_VALUE);
    public static final EsignConfigEnum keyword_positions = new EsignConfigEnum("keyword_positions", KEYWORD_POSITIONS_VALUE);
    public static final EsignConfigEnum get_seal_position_url = new EsignConfigEnum("get_seal_position_url", GET_SEAL_POSITION_URL_VALUE);
    public static final EsignConfigEnum sign_flow_list = new EsignConfigEnum("sign_flow_list", SIGN_FLOW_LIST_VALUE);

    /**
     * construct function
     * @param String esignConfigEnum
     */
    private EsignConfigEnum(String name, String esignConfigEnum)
    {
        super(name, esignConfigEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static EsignConfigEnum getEnum(String esignConfigEnum)
    {
        return (EsignConfigEnum)getEnum(EsignConfigEnum.class, esignConfigEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(EsignConfigEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(EsignConfigEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(EsignConfigEnum.class);
    }
}